package org.ntlab.acanthus_client.entities;

import java.util.ArrayList;
import java.util.SortedSet;
import java.util.TreeSet;

//-----------------------------------------------------------------
// 筆跡
public class Stroke {
//    private static int strokeNoCount; //strokeNoを数えるためだけ
    private int strokeNo;
    private int pen;
    private int color;
    private int thickness;
    private SortedSet<Position> positions = new TreeSet<>();

    public int getStrokeNo() {
        return this.strokeNo;
    }
    public int getPen() {
        return this.pen;
    }
    public int getColor() {
        return this.color;
    }
    public int getThickness() {
        return this.thickness;
    }
    public SortedSet<Position> getPositions() {
        return this.positions;
    }
}
